/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        03.11.2007
 Description:    Webserver Config-File
 Dieses Programm ist freie Software. Sie knnen es unter den Bedingungen der 
 GNU General Public License, wie von der Free Software Foundation verffentlicht, 
 weitergeben und/oder modifizieren, entweder gem Version 2 der Lizenz oder 
 (nach Ihrer Option) jeder spteren Version. 
 Die Verffentlichung dieses Programms erfolgt in der Hoffnung, 
 da es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, 
 sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT 
 FR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. 
 Sie sollten eine Kopie der GNU General Public License zusammen mit diesem 
 Programm erhalten haben. 
 Falls nicht, schreiben Sie an die Free Software Foundation, 
 Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
------------------------------------------------------------------------------*/
#ifndef _CONFIG_H_
	#define _CONFIG_H_	1	

	//ETH_M32_EX (www.ulrichradig.de)
	#define USE_ENC28J60	1
	
	//Konfiguration der PORTS (HEX)
	//1=OUTPUT / 0=INPUT
	#define OUTA 		0x00
	#define OUTC 		(1<<7)|(1<<6)|(1<<1)|(1<<0)
	#define OUTD 		(1<<7)
	//Achtung!!!! an PORTB ist der ENC
	//nur ndern wenn man wei was man macht!
	//Umrechnung von IP zu unsigned long

	#define IP(a,b,c,d) ((unsigned long)(d)<<24)+((unsigned long)(c)<<16)+((unsigned long)(b)<<8)+a

	#define WEBREFRESH	120
	//IP des NTP-Servers z.B. Server 1.de.pool.ntp.org

	#define USE_NTP		1	//1 = NTP Client on

	#define NTP_IP		IP(77,37,6,59)
	//#define NTP_IP		IP(62,206,250,163)
	//Broadcast-Adresse fr WOL
	#define USE_WOL			0	//1 = WOL on
	#if USE_WOL
		#define WOL_BCAST_IP	IP(255,255,255,255)
	#endif
	#define WOL_MAC 		{0x00,0x00,0x00,0x00,0x00,0x00}

/*
#define USE_DHCP				1					// 1 = DHCP Client on
#define USE_DNS				1					// 1 = DNS Client on
#define DNS_IP					IP(192,168,0,1)	// IP des DNS-Servers
*/
	//Webserver mit Passwort? (0 == mit Passwort)
	#define HTTP_AUTH_DEFAULT	0
	
// *******************************************************************************************
	#define HOME_POWER_LED_ROT	1	// else WORK_POWER_LED_ROT_LACK											
//	#define WORK_AT_HOME			1	
	#ifdef HOME_POWER_LED_ROT
		#define SHOW 6
	#else
		#define SHOW 3
	#endif
#ifdef HOME_POWER_LED_ROT 
	#define WOHNZIMMER		"282e075503000057"
	#define WZ					0	
	#define WOHNZIMMER_WW	"2860f29303000075"
	#define WZ_WW				5
	#define SCHLAFZIMMER		"284dc793030000df"
	#define SZ					1
	#define KLEINESZIMMER	"2893d4930300003a"
	#define KZ					2
	#define ZAEHLERSCHRANK	"288bd19303000012"
	#define ZS					3
	#define BALKON				"28cde10004000042"
	#define BK					4

#else
	#ifdef WORK_AT_HOME
		#define WOHNZIMMER		"282e075503000057"
		#define WZ					0	
		#define SCHLAFZIMMER		"28c0d693030000ce"
		#define SZ					1
		#define KLEINESZIMMER	"2893d4930300003a"
		#define KZ					2
		#define ZAEHLERSCHRANK	"288bd19303000012"
		#define ZS					3
	#else
		#define WOHNZIMMER		"28c0d693030000ce"
		#define WZ					0	
		#define KLEINESZIMMER	"2860f29303000075"
		#define KZ					2
		#define SCHLAFZIMMER		"284dc793030000df"
		#define SZ					1
		#define ZAEHLERSCHRANK	"2864ee93030000f4"
		#define ZS					3
		#define WOHNZIMMER_WW	"2860f29303000075"
		#define WZ_WW				5
		#define BALKON				"28cde10004000042"
		#define BK					4
	#endif
#endif

// *******************************************************************************************
	#define ZAEHLERKONSTANTE	75UL
//	#define ZAEHLERDEBUG			1
// ADC const
	#define ADC_MITTEL 5
	#ifdef HOME_POWER_LED_ROT
		//Netzwerkmaske
		#define NETMASK		IP(255,255,255,255)
		//IP des Routers
		#define ROUTER_IP	IP(255,255,255,255)
		//AUTH String "USERNAME:PASSWORT" max 14Zeichen 
		//fr Username:Passwort
		#define HTTP_AUTH_STRING "user:passwort"
	
		#ifndef WORK_AT_HOME			
			//IP des Webservers
			#define MYIP		IP(255,255,255,255)
			//MAC Adresse des Webservers	
			#define MYMAC1	0x00
			#define MYMAC2	0x00
			#define MYMAC3	0x00
			#define MYMAC4	0x00	
			#define MYMAC5	0x00
			#define MYMAC6	0x00
	
			// ADC const
			#define m12	1.46523
			#define b12	98.4124
			#define m5	.67568
			#define b5	-.351351
			#define m33	.47857
			#define b33	-1.4
		#else
			//IP des Webservers
			#define MYIP		IP(255,255,255,255)
			//MAC Adresse des Webservers	
			#define MYMAC1	0x00
			#define MYMAC2	0x00
			#define MYMAC3	0x00
			#define MYMAC4	0x00	
			#define MYMAC5	0x00
			#define MYMAC6	0x00
			// ADC const
			#define m12	1.45131
			#define b12	161.584323
			#define m5	.67568
			#define b5	0
			#define m33	.47733
			#define b33	-.190930788
		#endif // #else WORK_@HOME			
	#else	//WORK_POWER_LED_ROT_LACK
		//IP des Webservers
		#define MYIP		IP(255,255,255,255)
		//Netzwerkmaske
		#define NETMASK		IP(255,255,255,255)
		//IP des Routers
		#define ROUTER_IP	IPIP(255,255,255,255)
	
		//MAC Adresse des Webservers	
		#define MYMAC1	0x00
		#define MYMAC2	0x00
		#define MYMAC3	0x00
		#define MYMAC4	0x00	
		#define MYMAC5	0x00
		#define MYMAC6	0x00
		//AUTH String "USERNAME:PASSWORT" max 14Zeichen 
		//fr Username:Passwort
		#define HTTP_AUTH_STRING "user:passwort"

		// ADC const
		#define m12	1.45131
		#define b12	161.584323
		#define m5	.67568
		#define b5	0
		#define m33	.47733
		#define b33	-.190930788
	#endif // #else	WORK_POWER_LED_BLAU
	//Taktfrequenz
	#define F_CPU 20000000UL	
	//#define F_CPU 14745600UL
	//#define F_CPU 11059200UL
	
	//Timertakt intern oder extern
	#define EXTCLOCK 0 //0=Intern 1=Externer Uhrenquarz
	//Baudrate der seriellen Schnittstelle
//	#define BAUDRATE 9600
	#define BAUDRATE 19200
//	#define BAUDRATE 38400
//	#define BAUDRATE 57600
	
	//LCD Routinen mit einbinden
	#define USE_SER_LCD		0
	//LCD im 4Bit Mode oder seriell
	#define USE_LCD_4Bit	0
	//AD-Wandler benutzen?
	#define USE_ADC			1
	//Email versand benutzen? Konfiguration des
   //Emailclient in der Sendmail.h
   #define USE_MAIL        0
    
   //Empfang von Wetterdaten auf der Console (ber HTTP_GET)
   #define GET_WEATHER     0
   
   //Commandos und Ausgaben erfolgen ber Telnet
   #define CMD_TELNET      0
    
#endif //_CONFIG_H
